Name:           sshfs-fuse
Version:        2.4
Release:        %mkrel 1
Summary:        Filesystem running over SFTP
License:        GPL
Group:          Networking/Remote access
URL:            http://fuse.sourceforge.net/sshfs.html
Source0:        http://downloads.sourceforge.net/fuse/sshfs-fuse-%{version}.tar.xz
Requires:       fuse
BuildRequires:  fuse-devel
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This is a filesystem client based on the SSH File Transfer Protocol.
Since most SSH servers already support this protocol it is very easy to set up:
i.e. on the server side there's nothing to do.  On the client side mounting the
filesystem is as easy as logging into the server with ssh.

    * Based on FUSE
    * Multithreading: more than one request can be on it's way to the server
    * Allowing large reads (max 64k)
    * Caching directory contents

%prep
%setup -q

%build
%ifarch x86_64
export CC="%{__cc} -fPIC"
%else
export CC="i586-mandriva-linux-gnu-gcc -fPIC"
%endif


%{configure2_5x} --disable-dependency-tracking --disable-sshnodelay
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%clean 
%{__rm} -rf %{buildroot} 

%files 
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README 
%attr(0755,root,root) %{_bindir}/sshfs
%{_mandir}/man1/sshfs.1*


%changelog
* Wed Oct 02 2013 pinoc <vogtpet at gmail.com> 2.4-1pclos2013
- 2.4

* Tue Aug 31 2010 Texstar <texstar at gmail.com> 2.2-1pclos2010
- 2.2

